//
//  OrderPartsApplyListDeleteCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/9/18.
//

import UIKit

class OrderPartsApplyListDeleteCell: UITableViewCell {
    @IBOutlet weak var view_btn: UIView!
    @IBOutlet weak var btn_del: UIButton!
    
    
    var callBack: TCRowCallBack?
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        btn_del.cd.text("删除".languageString())
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    @IBAction func clickButton(_ sender: UIButton) {
        callBack?(sender.tag)
    }
    
    override func draw(_ rect: CGRect) {
        super.draw(rect)
        view_btn.makeRadius(value: 8, type: [.bottomLeft, .bottomRight])
    }
}
extension OrderPartsApplyListDeleteCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = Any
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
        
    }
    
    func row_update(config data: ConfigModel) {
    }
    
    func row_update(callBack block: TCRowCallBack?) {
        self.callBack = block
    }
}
